Create resident payment
https://api.propexo.com/v1/resident-payments/Create a resident payment for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The Propexo unique identifier for the resident
The transaction date of the resident payment
The amount of the resident payment, in cents
The method of payment
Show 8 enum values
ACHCashCashiers CheckCheckCredit CardDebit CardeCheckMoney OrderIndicates whether the payee would like to have a receipt emailed
Description of the resident payment
The reference number for the resident payment
The Propexo unique identifier for the charge code
Notes associated with the resident payment
Whether to allocate prepays to the resident payment. This is a flag passed directly to Rent Manager
An identifier for the transaction batch. This should be unique to your system.
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-payments/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}